### Hierarchy

- RpcToken
  - RpcAuth

## Index

### Constructors

- constructor

### Properties

- accessToken
- expireDate
- origin
- passPhrase

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new RpcAuth(accessToken?: string, passPhrase?: string, origin?: string, expireDate?: string): RpcAuth

- Overrides RpcToken.constructor

  - Defined in utils/keypair/rpc/RpcAuth.ts:7

  #### Parameters

  - ##### Default value accessToken: string = ""

  - ##### Default value passPhrase: string = ""

  - ##### Default value origin: string = ""

  - ##### Default value expireDate: string = ""

  #### Returns RpcAuth

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### expireDate

expireDate: string

- Defined in utils/keypair/rpc/RpcAuth.ts:7

### origin

origin: string

- Defined in utils/keypair/rpc/RpcAuth.ts:6

### passPhrase

passPhrase: string

- Defined in utils/keypair/rpc/RpcAuth.ts:5

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc